# ApiHBaseAddReplicationPeerInput Data Model

Properties
name | data type | constraints | description
--- | --- | --- | ---
peerId | string |  |
clusterKey | string |  |
tableCFs | map of array of string |  |
endpointClassname | string |  |
enabled | boolean | required |

Example

    {
      "peerId" : "...",
      "clusterKey" : "...",
      "tableCFs" : {
        "property1" : [ "...", "..." ],
        "property2" : [ "...", "..." ]
      },
      "endpointClassname" : "...",
      "enabled" : true
    }